| dp21txss Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Macros | Functions
xdptxss_vtc.h File Reference

## Overview

This is the header file for Xilinx DisplayPort Transmitter Subsystem sub-core, is Video Timing Controller.

    MODIFICATION HISTORY:

    Ver  Who Date     Changes

    1.00 sha 01/29/15 Initial release.
    1.00 sha 07/21/15 Renamed file name with prefix xdptxss_* and function
                      name with prefix XDpTxSs_*
    5.0  tu  08/10/17 Modified XDpTxSs_VtcSetup for adjusting BS symbol for
                equal timing

## Macros
#define | XDPTXSS_VTC_H_
| Prevent circular inclusions by using protection macros. More...

## Functions
u32 | XDpTxSs_VtcSetup (XVtc *InstancePtr, XDp_TxMainStreamAttributes *MsaConfig, u8 VtcAdjustBs)
| This function configures Video Timing Controller with video timing parameters from MSA config structure. More...
void | XDpTxSs_VtcAdaptiveSyncSetup (XVtc *InstancePtr, XVtc_AdaptiveSyncMode Mode, u32 StretchLimit)
| This function configures Video Timing Controller with Adaptive-Sync mode to be work on and sets vertical front porch stretch limit. More...
void | XDpTxSs_VtcDisableAdaptiveSync (XVtc *InstancePtr)
| This function disables Adaptive-Sync feature in Video Timing Controller. More...

## Macro Definition Documentation

#define XDPTXSS_VTC_H_

Prevent circular inclusions by using protection macros.

## Function Documentation

void XDpTxSs_VtcAdaptiveSyncSetup | ( | XVtc * | InstancePtr,
|  | XVtc_AdaptiveSyncMode | mode,
|  | u32 | StretchLimit
| ) |  |

This function configures Video Timing Controller with Adaptive-Sync mode to be work on and sets vertical front porch stretch limit.

Parameters

  InstancePtr | is a pointer to the XVtc instance.
  mode | is a Adaptive-Sync mechanism to be work on
  StretchLimit | is a max limit of vertical front porch stretching

Returns
  None.

Note
  None.

void XDpTxSs_VtcDisableAdaptiveSync | ( | XVtc * | InstancePtr | ) |

This function disables Adaptive-Sync feature in Video Timing Controller.

Parameters

  InstancePtr | is a pointer to the XVtc instance.

Returns
  None.

Note
  None.

u32 XDpTxSs_VtcSetup | ( | XVtc * | InstancePtr,
|  | XDp_TxMainStreamAttributes * | MsaConfig,
|  | u8 | VtcAdjustBs
| ) |  |

This function configures Video Timing Controller with video timing parameters from MSA config structure.

Parameters

  InstancePtr | is a pointer to the XVtc instance.
  MsaConfig | is a pointer to main stream attributes structure that will be used to extract timing values.

Returns
  - XST_SUCCESS if video timing parameters set successfully.

Note
  None.

Referenced by start_tx(), and XDpTxSs_CfgInitialize().